/*
 * @Author: zuolingling zuolingling@jsnangao.com
 * @Date: 2023-08-14 13:31:41
 * @LastEditors: zuolingling zuolingling@jsnangao.com
 * @LastEditTime: 2023-08-17 15:09:57
 * @FilePath: \vue3portal\src\main.js
 * @Description: 
 * 
 * Copyright (c) 2023 by ${git_name_email}, All Rights Reserved. 
 */
import 'element-plus/dist/index.css'
import { createApp } from 'vue'
import App from './App.vue'
import router from './router'
import store from './store'
import * as Icons from '@ant-design/icons-vue'

import * as echarts from 'echarts';
window.echarts=echarts;

import techUILite from "techui-vue3-lite"

import vue3api from '@/plugins/vue3api'
import common from '@/plugins/common'

const icons = Icons;


const app=createApp(App)
techUILite(app).then(()=>{
  app.use(router)
  app.use(store)
  app.use(vue3api)
  app.use(common)
  for (const i in icons) {
    // 全局注册一下组件
    app.component(i, icons[i])
}
  app.mount('#app')
})
